%define bootstrap 0

# Allow --with[out] bootstrap at rpm command line build
%{?_without_bootstrap: %{expand: %%define bootstrap 0}}
%{?_with_bootstrap: %{expand: %%define bootstrap 1}}

Name: xinit
Version: 1.3.0
Release: %mkrel 1
Summary: Initialize an X session
Group: System/X11
Source0: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
Source1: ck-xinit-session.c
Patch0: xinit-1.2.0-startx-arguments.patch
Patch1: xinit-1.1.0-poke-ck.patch
Patch2: xinit-1.0.4-client-session.patch
Patch3: xinit-1.0.9-unset.patch
Patch4: xinit-1.2.0-replace-xterm-for-xvt.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
Requires: xinitrc

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
%if !%{bootstrap}
BuildRequires: consolekit-devel
BuildRequires: dbus-devel
Requires: consolekit-x11
Requires: which
%endif

%description
The xinit program is used to start the X Window System server and a first
client program on systems that cannot start X directly from /etc/init or in
environments that use multiple window systems. When this first client exits,
xinit will kill the X server and then terminate.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .startx
%patch2 -p1 -b .client-session
%patch3 -p1 -b .unset
%patch4 -p1 -b .xvt

%build
%configure2_5x
%make XINITDIR=/etc/X11/xinit

%if !%{bootstrap}
%{__cc} -o ck-xinit-session %ldflags \
	`pkg-config --cflags ck-connector dbus-1` $RPM_OPT_FLAGS \
	$RPM_SOURCE_DIR/ck-xinit-session.c \
	`pkg-config --libs ck-connector dbus-1`
%endif


%install
rm -rf %{buildroot}
%makeinstall_std
%if !%{bootstrap}
install -m755 ck-xinit-session $RPM_BUILD_ROOT/%{_bindir}
%endif

rm -fr %buildroot%{_libdir}/X11/xinit/xinitrc

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/xinit
%{_bindir}/startx
%if !%{bootstrap}
%{_bindir}/ck-xinit-session
%endif
%{_mandir}/man1/startx.1*
%{_mandir}/man1/xinit.1*


%changelog
* Mon May 23 2011 Texstar <texstar at gmail.com> 1.3.0-1pclos2011
- 1.3.0 for 2011

